{if="$fsc->resultado"}
<form name="f_factura" action="{$fsc->url()}" method="post" class="form">
   <input type="hidden" name="idfactura" value="{$fsc->resultado->idfactura}"/>
   <div class="modal-body">
      Factura: <a href="{$fsc->resultado->url()}" target="_blank">{$fsc->resultado->codigo}</a><br/>
      Fecha: {$fsc->resultado->fecha}<br/>
      Cliente: {$fsc->resultado->nombrecliente}
   </div>
   <div class="table-responsive">
      <table class="table table-hover">
         <thead>
            <tr>
               <th>Producto</th>
               <th width="80">Cantidad</th>
               <th class="text-right" width="100">Precio</th>
               <th class="text-right" width="130">Total</th>
            </tr>
         </thead>
         {loop="$fsc->resultado->get_lineas()"}
         <tr id="f_linea_{$counter+1}">
            <td>
               <input type="hidden" name="f_referencia_{$counter+1}" value="{$value->referencia}"/>
               <input type="hidden" id="f_pvp_{$counter+1}" name="f_pvp_{$counter+1}" value="{$value->pvp}"/>
               <input type="hidden" id="f_iva_{$counter+1}" name="f_iva_{$counter+1}" value="{$value->iva}"/>
               <div class="input-group">
                  <span class="input-group-addon">{$value->referencia}</span>
                  <input type="text" name="f_desc_{$counter+1}" value="{$value->descripcion}" class="form-control" autocomplete="off"/>
               </div>
            </td>
            <td>
               {if="$fsc->tpv_config['tpv_linea_libre']"}
               <input type="number" name="f_cantidad_{$counter+1}" value="{$value->cantidad}" id="f_cantidad_{$counter+1}" class="form-control" onclick="this.select()" onchange="recalcular_factura()" onkeyup="recalcular_factura()"/>
               {else}
               <input type="number" name="f_cantidad_{$counter+1}" value="{$value->cantidad}" id="f_cantidad_{$counter+1}" class="form-control" readonly=""/>
               {/if}
            </td>
            <td class="text-right">
               {if="$fsc->tpv_config['tpv_linea_libre']"}
               <input type="text" name="f_pvpi_{$counter+1}" value="{$value->pvpunitario*(100+$value->iva)/100}" id="f_pvpi_{$counter+1}" class="form-control text-right" autocomplete="off" onclick="this.select()" onkeyup="set_pvpi_factura('{$counter+1}')"/>
               {else}
               <input type="text" name="f_pvpi_{$counter+1}" value="{$value->pvpunitario*(100+$value->iva)/100}" id="f_pvpi_{$counter+1}" class="form-control text-right" readonly=""/>
               {/if}
            </td>
            <td class="text-right">
               <input type="text" name="f_pvpt_{$counter+1}" value="{$value->total_iva()}" id="f_pvpt_{$counter+1}" class="form-control text-right" readonly=""/>
            </td>
         </tr>
         {/loop}
         <tr class="info">
            <td colspan="3" class="text-right">Total</td>
            <td class="text-right">
               <input type="text" name="f_total" value="{$fsc->resultado->total}" id="f_total" class="form-control text-right" readonly=""/>
            </td>
         </tr>
      </table>
   </div>
   <div class="modal-footer">
      <div class="pull-left">
         <a href="{$fsc->url()}&imprimir={$fsc->resultado->idfactura}" class="btn btn-sm btn-default">
            <span class="glyphicon glyphicon-print"></span> &nbsp; Imprimir
         </a>
      </div>
      <button class="btn btn-sm btn-primary" type="submit">
         <span class="glyphicon glyphicon-floppy-disk" aria-hidden="true"></span> &nbsp; Guardar
      </button>
   </div>
</form>
{else}
<div class="alert alert-danger">factura no encontrada.</div>
{/if}